package com.bocloud.cmp.provider.azure.db.database;

import com.bocloud.cmp.model.azure.db.AzureDatabaseModel;
import com.bocloud.cmp.model.azure.db.AzureDatabaseServerModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: CloudDatabaseProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/2/2 15:03
 */
public interface CloudDatabaseProvider extends SuperProvider {

    default BocloudResult list(AzureDatabaseServerModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(AzureDatabaseModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(AzureDatabaseModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(AzureDatabaseModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(AzureDatabaseModel model) {
        return new BocloudResult(false, "need implement");
    }

}